petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscLayoutFindOwnerIndex

Find the owning rank and the local index for a global index

### Synopsis

    PETSC_STATIC_INLINE PetscErrorCode PetscLayoutFindOwnerIndex(PetscLayout map,PetscInt idx,PetscInt *owner, PetscInt *lidx)

Not Collective Many br

### Input Parameters

| map | - the layout Many br
| idx | - global index to find the owner of Many br

### Output Parameter

| owner | - the owning rank Many br
| lidx | - local index used by the owner for idx Many br

Many br

### Fortran Notes

Not available from Fortran Many br

Level:developer
Location:src/vec/is/is/../../../../include/petscis.h
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages